Package org.etsi.uri._01903.v1_3

# Class NoticeReferenceType

java.lang.Object
org.etsi.uri._01903.v1_3.NoticeReferenceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class NoticeReferenceType extends Object implements Serializable

Java class for NoticeReferenceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NoticeReferenceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Organization" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="NoticeNumbers" type="{http://uri.etsi.org/01903/v1.3.2#}IntegerListType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoticeReferenceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IntegerListType`
  `getNoticeNumbers()`
  Gets the value of the noticeNumbers property.
  `String`
  `getOrganization()`
  Gets the value of the organization property.
  `void`
  `setNoticeNumbers(IntegerListType value)`
  Sets the value of the noticeNumbers property.
  `void`
  `setOrganization(String value)`
  Sets the value of the organization property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NoticeReferenceType

    public NoticeReferenceType()

- ## Method Details

  - ### getOrganization

    public String getOrganization()
    Gets the value of the organization property.
    Returns:
      possible object is `String`

  - ### setOrganization

    public void setOrganization(String value)
    Sets the value of the organization property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNoticeNumbers

    public IntegerListType getNoticeNumbers()
    Gets the value of the noticeNumbers property.
    Returns:
      possible object is `IntegerListType`

  - ### setNoticeNumbers

    public void setNoticeNumbers(IntegerListType value)
    Sets the value of the noticeNumbers property.
    Parameters:
      `value` - allowed object is `IntegerListType`